/*
 * e_sc_n.h
 *
 *  Created on: 14-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_SC_N_H_
#define E_SC_N_H_

#include "tdefs.h"

struct e_sc_n_logic
{
	float *orta_L1_ptr;
	float *ortb_L1_ptr;
	float *orta_L2_ptr;
	float *ortb_L2_ptr;
	float *orta_L3_ptr;
	float *ortb_L3_ptr;
	float *orta_ptr;
	float *ortb_ptr;
	float *esk_ptr;
};

struct e_sc_n_io
{
	u32 orta_l1_float_in;
	u32 ortb_l1_float_in;
	u32 orta_l2_float_in;
	u32 ortb_l2_float_in;
	u32 orta_l3_float_in;
	u32 ortb_l3_float_in;
	u32 orta_float_out;
	u32 ortb_float_out;
	u32 esk_float_out;
}__attribute__((__packed__));

struct e_sc_n_params
{
}__attribute__((__packed__));

struct e_sc_n_args
{
	struct e_sc_n_io io;
	struct e_sc_n_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_sc_n(void *args, void *logic);
extern int e_sc_n_initlog(void *arguments, void *logic);

#endif /* E_SC_N_H_ */
